
-c
-heap  0x5000000
-stack 0xa000

/* NG Memory map */
MEMORY
{
    L2SRAM (RWX)   : org = 0x00800000, len = 0x100000  // 1MB (1/2 used for cache, 1/2 unused)
    L1PSRAM (RWX)  : org = 0x00E00000, len = 0x008000  // 32 KB (all cache)
    L1DSRAM (RWX)  : org = 0x00F00000, len = 0x008000  // 32 KB (all cache)
    MSMCSRAM (RWX) : org = 0x0C000000, len = 0x100000  // 1 MB  (see below)
    DDR3 (RWX)     : org = 0x80000000, len = 0x40000000  // 1 GB (see below)
}

SECTIONS
{
    .csl_vect    >       MSMCSRAM
    .text        >       MSMCSRAM
    GROUP (NEAR_DP)
    {
        .neardata
        .rodata
        .bss
    } load       >      MSMCSRAM
    .stack       >      MSMCSRAM
    .cinit       >      MSMCSRAM
    .cio         >      MSMCSRAM
    .const       >      MSMCSRAM
    .data        >      MSMCSRAM
    .switch      >      MSMCSRAM
    .sysmem      >      DDR3  /* This is where the C++ runtime heap (for new/malloc) will go. */
    .far         >      DDR3 /* Not sure what this is, but wouldn't build with it in MSMCSRAM. */
    .testMem     >      MSMCSRAM
    .fardata     >      MSMCSRAM
    .init_array  >      DDR3
    platform_lib > 	MSMCSRAM
}
